import jwt from 'jsonwebtoken';
import { jwtSecret } from "../config/jwtKeys";

// Authenticates JWT token 

exports.authenticateJWT = (req, res, next) => {
    const token = req.cookies.token

    if (!token) {
        res.status(401).json({
            errorMessage: "No token, authorization denied"
        })
    }

    try {
        const decoded = jwt.verify(token, jwtSecret)
        req.user = decoded.user
        next()

    } catch (err) {
        console.log("Token error:", err)
        res.status(401).json({
            errorMessage: "Invalid token"
        })

    }
}
