import mongoose from 'mongoose'; 
import { EventSchema } from '../models/eventModel';
import { CardDetailSchema } from '../models/cardDetailModel';
import { PurchaseSchema } from '../models/purchaseModel';

const Event = mongoose.model('Event', EventSchema);
const CardDetail = mongoose.model('CardDetail', CardDetailSchema);
const Purchase = mongoose.model('Purchase', PurchaseSchema);

export const getPurchases = (req, res) => {
    Purchase.find({}, (err, Purchase) => {
        if (err) {
            res.send(err);
        }
        res.json(Purchase)
    }); 
};

// export vs module exports (which works) - fix refactor later
exports.purchaseController = async (req, res) => {
    console.log("inside controller", req.body);

    // Destructuring sign up post request body into seperate variables for ref
    const { addressLine1, addressLine2, city, county, postCode, cardholderName, cardNumber, cardExpiryDate, cardCVC, event_id, amount, user_id } = req.body;

    try {

      // Creating new instance of card detail from model
      const newCardDetail = new CardDetail();

      // Assigning database fields to req fields
      newCardDetail.addressLine1 = addressLine1;
      newCardDetail.addressLine2 = addressLine2;
      newCardDetail.city = city;
      newCardDetail.county = county;
      newCardDetail.postCode = postCode;
      newCardDetail.cardholderName = cardholderName;
      newCardDetail.cardNumber = cardNumber;
      newCardDetail.cardExpiryDate = cardExpiryDate;
      newCardDetail.cardCVC = cardCVC;
      newCardDetail.user_id = user_id;

      // Creating new instance of purchase from model
      const newPurchase = new Purchase();

      newPurchase.user_id = user_id;
      newPurchase.event_id = event_id;
      newPurchase.card_details_id = newCardDetail._id;
      newPurchase.amount = amount;
      newPurchase.service_fee = amount * 0.025;


      // Saving card details model and purchase to database
      await newCardDetail.save();
      await newPurchase.save();

      res.json({
        successMessage: "Successfully bought ticket",
      });
    } catch (err) {
      console.log("SignupController error:", err)
      res.status(500).json({
          errorMessage: "Server error"
      })
    }
  };