import mongoose from 'mongoose'; 

const Schema = mongoose.Schema

export const CardDetailSchema = new Schema({
    addressLine1: {
        type: String,
        required: true,
        trim: true
    },
    addressLine2: {
        type: String,
        required: false,
        trim: true
    },
    city: {
        type: String,
        required: true,
        trim: true
    },
    county: {
        type: String,
        required: true,
        trim: true
    },
    postCode: {
        type: String,
        required: true
    },
    cardholderName: {
        type: String,
        required: true
    },
    cardNumber: {
        type: String,
        required: true
    },
    cardExpiryDate: {
        type: String, 
        required: true
    },
    cardCVC: {
        type: String, 
        required: true
    }, 
    user_id: {
        type: String, 
        required: true
    }, 
})

const CardDetail = mongoose.model('CardDetail', CardDetailSchema);

module.exports = CardDetail 