import React from 'react';
import './App.css';
import Login from '../Pages/Login';
import CreateEvent from '../Pages/CreateEvent';
import MyTickets from '../Pages/MyTickets';
import Marketplace from '../Pages/Marketplace';
import NavBar from './NavBar';
import NotFound from '../Pages/NotFound'
import { BrowserRouter, Route, Routes} from 'react-router-dom'
import SignUp from '../Pages/SignUp';
import ForgotPassword from '../Pages/ForgotPassword';
import AuthRouting from './AuthRouting';

function App() {
  return (
    <>
    <BrowserRouter>
      <NavBar />
      <Routes>
        <Route exact path="/Marketplace" element={<Marketplace />} /> 
        <Route exact path='/CreateEvent' element={<AuthRouting />}>
          <Route exact path='/CreateEvent' element={<CreateEvent/>}/>
        </Route>
        <Route exact path='/MyTickets' element={<AuthRouting />}>
          <Route exact path='/MyTickets' element={<MyTickets />}/>
        </Route>
        <Route exact path="/Login" element={<Login />} /> 
        <Route exact path="/SignUp" element={<SignUp />} /> 
        <Route exact path="/ForgotPassword" element={<ForgotPassword />} /> 
        <Route path="*" element={<NotFound />} /> 
      </Routes>
    </BrowserRouter>
    </>
  );
}

export default App;
